<?php
function adminer_object() {
    // required to run any plugin
    include_once "./plugins/plugin.php";
    
    // autoloader
    foreach (glob("plugins/*.php") as $filename) {
        include_once "./$filename";
    }
    
    // enable extra drivers just by including them
    //~ include "./plugins/drivers/simpledb.php";
    
    $plugins = array(
        // specify enabled plugins here
        new AdminerLoginServers([
			// 'Local' => ["server" => "127.0.0.1:3356", "driver" => "server"],
			// 'Staging_LHN' => ["server" => "rnilvwvp1w788yotr8kd0aohvmgb2crn.mysql.database.azure.com", "driver" => "server"],
			'Prodn_LHN' => ["server" => "74spigfyuxzp3mykximq6mdafnxiwigd.mysql.database.azure.com", "driver" => "server"]
		]),
		new AdminerLoginSsl(["key" => '', "cert" => '', "ca" => './DigiCertGlobalRootCA.crt']),
    );
    
    /* It is possible to combine customization and plugins:
    class AdminerCustomization extends AdminerPlugin {
    }
    return new AdminerCustomization($plugins);
    */
    
    return new AdminerPlugin($plugins);
}

// include original Adminer or Adminer Editor
include "./adminer.php";
?>